org.apache.xerces.dom.events

## Class UIEventImpl

- java.lang.Object
- - org.apache.xerces.dom.events.EventImpl
  - - org.apache.xerces.dom.events.UIEventImpl

All Implemented Interfaces:
  org.w3c.dom.events.Event, org.w3c.dom.events.UIEvent

Direct Known Subclasses:
  MouseEventImpl

    public class UIEventImpl
    extends EventImpl
    implements org.w3c.dom.events.UIEvent

An implementation of the DOM Level 2 `UIEvent` interface.

Version:
  $Id: UIEventImpl.java 533574 2007-04-30 00:29:47Z mrglavas $

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from class org.apache.xerces.dom.events.EventImpl

`bubbles, cancelable, currentTarget, eventPhase, initialized, preventDefault, stopPropagation, target, timeStamp, type`

### Fields inherited from interface org.w3c.dom.events.Event

`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

### Constructor Summary

Constructors
Constructor and Description
`UIEventImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDetail()` Specifies some detail information about the `Event`, depending on the type of event.
`org.w3c.dom.views.AbstractView` `getView()` The `view` attribute identifies the `AbstractView` from which the event was generated.
`void` `initUIEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, int detailArg)` The `initUIEvent` method is used to initialize the value of a `UIEvent` created through the `DocumentEvent` interface.

### Methods inherited from class org.apache.xerces.dom.events.EventImpl

`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.events.Event

`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

### Constructor Detail

#### UIEventImpl

    public UIEventImpl()

### Method Detail

#### getView

    public org.w3c.dom.views.AbstractView getView()

Description copied from interface: `org.w3c.dom.events.UIEvent`
The `view` attribute identifies the `AbstractView` from which the event was generated.

Specified by:
  `getView` in interface `org.w3c.dom.events.UIEvent`

#### getDetail

    public int getDetail()

Description copied from interface: `org.w3c.dom.events.UIEvent`
Specifies some detail information about the `Event`, depending on the type of event.

Specified by:
  `getDetail` in interface `org.w3c.dom.events.UIEvent`

#### initUIEvent

    public void initUIEvent(java.lang.String typeArg,
                            boolean canBubbleArg,
                            boolean cancelableArg,
                            org.w3c.dom.views.AbstractView viewArg,
                            int detailArg)

Description copied from interface: `org.w3c.dom.events.UIEvent`
The `initUIEvent` method is used to initialize the value of a `UIEvent` created through the `DocumentEvent` interface. This method may only be called before the `UIEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

Specified by:
  `initUIEvent` in interface `org.w3c.dom.events.UIEvent`
Parameters:
  `typeArg` - Specifies the event type.
  `canBubbleArg` - Specifies whether or not the event can bubble.
  `cancelableArg` - Specifies whether or not the event's default action can be prevented.
  `viewArg` - Specifies the `Event`'s `AbstractView`.
  `detailArg` - Specifies the `Event`'s detail.